/*!
 * \file			sbgEComCmd.h
 * \ingroup			commands
 * \author			SBG Systems
 * \date			16 June	2014
 *
 * \brief			Include all available sbgECom commands.
 *
 * \copyright		Copyright (C) 2022, SBG Systems SAS. All rights reserved.
 * \beginlicense	The MIT license
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 * 
 * \endlicense
 */

/*!
 * \defgroup	commands Commands
 * \brief		Configuration and action commands mainly for ELLIPSE products.
 */

#ifndef SBG_ECOM_CMD_H
#define SBG_ECOM_CMD_H

// sbgCommonLib headers
#include <sbgCommon.h>

// Local headers
#include "sbgEComCmdAdvanced.h"
#include "sbgEComCmdAirData.h"
#include "sbgEComCmdApi.h"
#include "sbgEComCmdDvl.h"
#include "sbgEComCmdEthernet.h"
#include "sbgEComCmdEvent.h"
#include "sbgEComCmdFeatures.h"
#include "sbgEComCmdGnss.h"
#include "sbgEComCmdInfo.h"
#include "sbgEComCmdInterface.h"
#include "sbgEComCmdLicense.h"
#include "sbgEComCmdMag.h"
#include "sbgEComCmdOdo.h"
#include "sbgEComCmdOutput.h"
#include "sbgEComCmdSensor.h"
#include "sbgEComCmdSettings.h"

#endif // SBG_ECOM_CMD_H
